#include <stdio.h>

int main() {
    unsigned short x, y, z;

    // 从键盘输入x和y的值
    scanf("%hu %hu", &x, &y);

    // 将x的高8位作为z的高8位，y的高8位作为z的低8位
    z = ((x >> 8) << 8) | (y >> 8);

    // 输出z的值
    printf("%hu\n", z);

    return 0;
}
